%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: zanata-python-client
Version: 1.3.5
Release: 1%{?dist}
Summary: Python Client for Zanata Server

Group: Development/Tools
License: LGPLv2+
URL: http://zanata.org
Source0: http://jamesni.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: python-setuptools
Requires: python-polib >= 0.7.0-2
Requires: python-httplib2
Requires: python-hashlib
%{?el5:Requires: python-simplejson}
Conflicts: python-json
%if 0%{?fedora} < 13
BuildRequires: python-devel
%endif
Provides:       flies-python-client = %{version}-%{release}
Obsoletes:      flies-python-client < 1.1

%description
Zanata Python client is a client that communicate with Zanata server.

%prep
%setup -q

%build
python setup.py build
cp -pr zanataclient/VERSION-FILE build/lib/zanataclient

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README COPYING COPYING.LESSER zanata.ini
%{python_sitelib}/*
%{_bindir}/*

%changelog
* Thu Apr 26 2012 James Ni <jni@redhat.com> - 1.3.5-1
- Fixed rhbz#814593, "TypeError: 'unicode' object does not support item assignment" when pulling translation from server
- Part of rhbz#736898, implement push-trans-only option in python client so that user can do offline translation
- Fixed rhbz#814503, backtrace for zanata glossary push without "zanata.xml"
- Fixed rhbz#798084, Python client does not show helpful error when missing project id for 'project info' command
- Fixed rhbz#796039, Python client not recognizing source directories with pot files only in sub-directories.
- Fixed rhbz#795643, Python client pushes extracted comments instead of translator comments
- Fixed rhbz#744277, output more informative error message for unescaped quote
- Add msgid_plural and msgstr_plural support in python client (for server >=1.6)
- Add skeletons query parameter support in pull command
- Replace the address of FSF in license
- Add status code to error message

* Tue Feb 21 2012 James Ni <jni@redhat.com> - 1.3.4-1
- Fixed rhbz#795237: zanata python client still display depreciate help on "version create"
- Fixed rhbz#727386: zanata po push does not assume working directory
- Fixed rhbz#754869: The python client is pulling some files with a wrong path
- Fixed rhbz#768877: python client breaks PO file when no translation found
- Fixed rhbz#748727: US31 As a translator I want the appropriate character encoding for my language to be used so that
                     the content is saved in the correct encoding format
- Add warning for retired project/version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 01 2011 James Ni <jni@redhat.com> - 1.3.3-1
- Fixed rhbz#751648: Error reading path names with dots
- Fixed rhbz#754869: The python client is pulling some files with a wrong path
- Fixed rhbz#756617: python client process file name not correctly for file name contain more than one dot
- Fixed rhbz#753719: Python client explodes on F16 

* Thu Nov 03 2011 James Ni <jni@redhat.com> - 1.3.2-1
- csv format glossary file support
- support msgctxt when pushing po file to server and pull it back 
- Fixed rhbz#696474: python client should only delete files from server which no longer exist on client
- Fixed rhbz#690687: python client should log a message for 301 redirects
- Fixed rhbz#738510: --help does not list commands
- Fixed rhbz#740159: python client: pushing with --merge=import does not overwrite the translation on server
- Fixed rhbz#738907: can not disable copytrans option when pushing source to zanata server with --no-copytrans option
- Fixed rhbz#738514: zanata push fails with JSON error
- Fixed rhbz#750675: zanata client pull command should be able to reconstruct msgctxt and msgid

* Wed Aug 31 2011 James Ni <jni@redhat.com> - 1.3.1-1
- Fix #rhbz734270 Reinstate publican/po push '--import-po' option

* Tue Aug 23 2011 James Ni <jni@redhat.com> - 1.3.0-1
- Change to version 1.3.0

* Wed Jul 20 2011 James Ni <jni@redhat.com> - 1.2.6-1
- Change to version 1.2.6

* Thu Jun 02 2011 James Ni <jni@redhat.com> - 1.2.5-3
- Fix error of onditionals of RHEL5 

* Thu Jun 02 2011 James Ni <jni@redhat.com> - 1.2.5-2
- Add python-simplejson requires for RHEL5 

* Wed Jun 01 2011 James Ni <jni@redhat.com> - 1.2.5-1
- Bug fix and usability improvement

* Thu May 05 2011 James Ni <jni@redhat.com> - 1.2.4-1
- Fix rhbz#702192

* Wed Apr 27 2011 James Ni <jni@redhat.com> - 1.2.3-1
- Fix rhbz#696474, rhbz#696515, rhbz#696437, rhbz#698028, rhbz#695598, rhbz#690687

* Fri Apr 01 2011 James Ni <jni@redhat.com> - 1.2.2-1
- Change to version 1.2.2 

* Thu Mar 31 2011 James Ni <jni@redhat.com> - 1.2.1-2
- Fixed rpmlint: W: self-obsoletion flies-python-client < 1.3 obsoletes flies-python-client = 1.2.1-1.el6

* Thu Mar 31 2011 James Ni <jni@redhat.com> - 1.2.1-1
- Add flies command for fallback

* Thu Mar 31 2011 James Ni <jni@redhat.com> - 1.2.0-2
- Change the URL, add Provides and Obsoletes, add zanata.ini in %doc

* Tue Mar 29 2011 James Ni <jni@redhat.com> - 1.2.0-1
- Rename the flies to zanata, rename fliesclient to zanataclient

* Thu Mar 10 2011 James Ni <jni@redhat.com> - 0.8.1-1
- Fix bugs(issue 272, issue 274) of retrieve the translation

* Mon Mar 07 2011 James Ni <jni@redhat.com> - 0.8.0-1
- Stable release

* Wed Feb 23 2011 James Ni <jni@redhat.com> - 0.7.6-1
- Rename the command line option, add a Logger class for better output, set copytrans default value to true, make the
  extensions to a list of gettext and comment. 

* Tue Feb 22 2011 James Ni <jni@redhat.com> - 0.7.4-1
- Fix issue 245:stop processing when type 'n', Add version service, rename the command line option and help info, add
  InternalServerError

* Mon Feb 21 2011 James Ni <jni@redhat.com> - 0.7.3-1
- Fix issue 244, issue 245, issue 247 and issue 30, add command list for 'flies publican', rewrite the README

* Fri Feb 18 2011 James Ni <jni@redhat.com> - 0.7.2-1
- Rename the gettextutil to publicanutil, Remove the translator from textFlowTarget, Add more help info

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 James Ni <jni@redhat.com> - 0.7.1-1
- Fix typo and make help more user-friendly

* Mon Jan 24 2011 James Ni <jni@redhat.com> - 0.7.0-1
- Add copyTrans option to client

* Tue Jan 04 2011 James Ni <jni@redhat.com> - 0.6.1-1
- Add exception handler for empty extensions

* Wed Dec 29 2010 James Ni <jni@redhat.com> - 0.6.0-1
- Create pot file with content retrieved from server, user could choose keep or delete the content on the flies
  server when pushing publican

* Tue Dec 07 2010 James Ni <jni@redhat.com> - 0.5.1-1
- Fix bugs and add some log info for python client

* Thu Dec 02 2010 James Ni <jni@redhat.com> - 0.5.0-1
- Make the script compatible with python 2.4

* Mon Nov 29 2010 James Ni <jni@redhat.com> - 0.4.0-1
- Add command line option for translation folder and importPo, read and write multiple locale, read the flies.xml first

* Wed Oct 27 2010 James Ni <jni@redhat.com> - 0.3.2-1
- Fix a typo in project creation

* Fri Oct 22 2010 James Ni <jni@redhat.com> - 0.3.1-1
- Fix an issue in project creation

* Thu Oct 21 2010 James Ni <jni@redhat.com> - 0.3.0-1
- Fix the issues in extension support and update translation command

* Thu Oct 21 2010 James Ni <jni@redhat.com> - 0.2.0-1
- Add extension support and update translation command

* Wed Sep 29 2010 James Ni <jni@redhat.com> - 0.1.0-1
- Modify the user configuration file and command line options

* Wed Sep 08 2010 James Ni <jni@redhat.com> - 0.0.6-1
- Try to resolve the dependency of python-setuptools

* Mon Sep 06 2010 James Ni <jni@redhat.com> - 0.0.5-2
- Add requires for python-polib

* Tue Aug 31 2010 James Ni <jni@redhat.com> - 0.0.5-1
- Rename resservice in flieslib/__init__.py to docservice

* Mon Aug 30 2010 James Ni <jni@redhat.com> - 0.0.4-1
- Rename module resservice to docservice
- Set encode to UTF-8 when generate hash value for msgid of the po file
- Change functions in flies.py to private
- Fix a exception in projectservice and exception handler in flies
- Provide more "readable" output for httplib2 connection error

* Wed Aug 25 2010 James Ni <jni@redhat.com> - 0.0.3-3
- Add an error handler for list command
- Add cache to httplib2 

* Mon Aug 23 2010 James Ni <jni@redhat.com> - 0.0.3-2
- Include the example configuration file
- Add dependency of python-httplib2 for fedora 12(and less) 

* Fri Aug 20 2010 James Ni <jni@redhat.com> - 0.0.3-1
- Modify the __inin__.py for importing the module
- Modify the spec file and fliesrc.txt
- Rewrite README file for giving detail of commands and how to implement flies-python-lib in program
- Add COPYING.LESSER 

* Mon Aug 16 2010 James Ni <jni@redhat.com> - 0.0.2-2
- remove shebang from flies.py 

* Fri Aug 13 2010 James Ni <jni@redhat.com> - 0.0.2-1
- initial package (#623871)
